/**
 *
 * Java frame class with a label, a text field, and a button
 * Demonstrates button functionality through a listener
 *
 * @author John Paul Vergara
 * @version 1.0
 *
 **/
 
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class HelloWorldFrame extends JFrame 
{
    private JButton button;
    private JTextField textField;
    private JLabel label;
    
    public HelloWorldFrame()
    {
    	Container c = this.getContentPane();
        c.setLayout( new FlowLayout() );
        
        label = new JLabel( "Hello, World!" );
        c.add( label );
        
        textField = new JTextField( 15 );
        c.add( textField );
        
        button = new JButton( "Click Me" );
        c.add( button );
        
        class CopyListener implements ActionListener
        {
        	public void actionPerformed( ActionEvent ae )
        	{
        		label.setText( "Hello, " + textField.getText() );
        	}
        }
        
        ActionListener listener = new CopyListener();
        button.addActionListener( listener );
    }  
}
